import mongoose from 'mongoose'

const PlayerSchema = new mongoose.Schema({
  created: Date,

  category: String,
  licenseNr: String,
  gender: String,
  name: String,
  firstName: String,
  birthDate: Date,
  phonePrivate: String,
  phoneWork: String,
  phoneMobile: String,
  email: String,
  ranking: String,
  licenseNrDP: String,
  nameDP: String,
  firstNameDP: String,
  birthDateDP: String,
  rankingDP: String,
  confirmed: Boolean,
  paid: Boolean,

  doubles: Boolean,
  junior: Boolean,
  fullName: String,
  phone: String,
  idString: String,
})

PlayerSchema.methods.equal = function (playerData, cb) {
  for (let property in playerData) {
    if (this[property] instanceof Date) {
      if (this[property].getTime() != playerData[property].getTime()) {
        console.log('dates dont match', property, this[property], playerData[property])
        return false
      }
    } else {
      if (this[property] != playerData[property]) {
        console.log('property doesnt match', property, this[property], typeof this[property], playerData[property], typeof playerData[property])
        return false
      }
    }
  }
  return true
}

const Player = mongoose.model('Player', PlayerSchema)

export default Player
